#ifndef MOTOR_CONTROL_H
#define MOTOR_CONTROL_H

/*!
  \file
  \brief モータ制御

  \author Satofumi KAMIMURA

  $Id: motor_control.h 1677 2010-02-07 13:59:59Z satofumi $
*/

#include "motor_t.h"


extern void motor_initialize(int id, motor_t *motor);
extern void motor_reset(motor_t *motor);
extern void motor_set(const motor_t *motor, MotorMode mode, unsigned char duty);
extern void motor_setVelocity(motor_t *motor,
                              int count_per_msec, int encoder_count);

#endif /* !MOTOR_CONTROL_H */
